## sahara 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
botocore>=1.5.1 # Apache-2.0
castellan>=0.16.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
iso8601>=0.1.11 # MIT
Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
requests>=2.14.2 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-manilaclient>=1.16.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
tooz>=1.58.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
sahara (1:8.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 16:11:00 -0500

sahara (1:8.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 09:42:37 -0500

sahara (1:8.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/watch: Scope to Queens series.
  * d/rules: Use oslopolicy-sample-generator for config file generation.
  * d/rules, d/sahara-common.install: Drop install of policy.json as default
    policies have been moved into code.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 15:23:30 -0500

sahara (1:8.0.0~b1-0ubuntu2) bionic; urgency=low

  * Switch Build-Depends: to python-sphinxcontrib.httpdomain to follow
    upstream rename.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 22 Nov 2017 14:39:07 +0000

sahara (1:8.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control: Drop python-bashate BD as it's not needed for Ubuntu builds.
  * d/rules, d/sahara-common.install: Account for move of config files from
    share/sahara to etc/sahara and generate sahara.conf.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Nov 2017 09:12:32 -0500

=== debian/control ===
Source: sahara
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 53~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 openssh-client,
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-botocore (>= 1.5.1),
 python-castellan (>= 0.16.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-flask (>= 0.10),
 python-glanceclient (>= 1:2.8.0),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-manilaclient (>= 1.16.0),
 python-mock (>= 2.0.0),
 python-mysqldb,
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paramiko (>= 2.0.0),
 python-pep8,
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-requests (>= 2.14.2),
 python-saharaclient (>= 1.4.0),
 python-six (>= 1.10.0),
 python-sphinxcontrib.httpdomain (>= 1.3.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Homepage: https://github.com/openstack/sahara

Package: python-sahara
Architecture: all
Section: python
Depends:
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-botocore (>= 1.5.1),
 python-castellan (>= 0.16.0),
 python-cinderclient (>= 1:3.3.0),
 python-eventlet (>= 0.18.2),
 python-flask (>= 0.10),
 python-glanceclient (>= 1:2.8.0),
 python-heatclient (>= 1.10.0),
 python-iso8601 (>= 0.1.11),
 python-jinja2 (>= 2.8),
 python-jsonschema (>= 2.6.0),
 python-keystoneauth1 (>= 3.3.0),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-manilaclient (>= 1.16.0),
 python-mysqldb,
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-paramiko (>= 2.0.0),
 python-pbr (>= 2.0.0),
 python-psycopg2 (>= 2.6.2),
 python-requests (>= 2.14.2),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 sqlite3,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara
Architecture: all
Section: python
Depends:
 sahara-api (= ${source:Version}),
 sahara-engine (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 python-openstackclient (>= 3.3.0),
 q-text-as-data,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-sahara (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-ldap,
Breaks:
 sahara (<< 2015.1.0-3~),
Replaces:
 sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

Package: sahara-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python:Depends},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	python setup.py egg_info
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		DISCOVER_DIRECTORY=$(CURDIR)/sahara/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
		rm -rf .testrepository ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/sahara-doc/usr/share/doc/sahara-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.postinst

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/etc/sahara
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator \
		--config-file=$(CURDIR)/tools/config/config-generator.sahara.conf \
		--output-file=$(CURDIR)/debian/tmp/usr/etc/sahara/sahara.conf
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp
	dh_install -O--buildsystem=python_distutils --fail-missing

	# Install the config files.
	mkdir -p $(CURDIR)/debian/sahara-common/usr/share/sahara-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--wrap-width 140 \
		--namespace sahara.config \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf database connection sqlite:///var/lib/sahara/saharadb
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf oslo_concurrency lock_path /var/lock/sahara
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken auth_protocol http

	mkdir -p $(CURDIR)/debian/sahara-common/etc/sahara
	cp etc/sahara/compute.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/compute.topology
	cp etc/sahara/swift.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/swift.topology
	set -e ; for i in api-paste.ini rootwrap.conf rootwrap.d ; do \
		cp -rfv etc/sahara/$$i $(CURDIR)/debian/sahara-common/etc/sahara ; \
	done

override_dh_clean:
	rm -rf build 	debian/sahara-common.postinst \
			debian/sahara-common.config \
			debian/sahara-api.postinst \
			debian/sahara-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/sahara sahara-(8\.\d.*)\.tar\.gz

## sahara 8.0.1

=== debian/changelog ===
sahara (1:8.0.1-1) unstable; urgency=medium

  * Switched sahara-api to uwsgi (b-d: openstack-pkg-tools >= 79~).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 May 2018 21:54:14 +0200

sahara (1:8.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 18:00:00 +0000

sahara (1:8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * Extended the python3-sahara lintian-overrides.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:50:55 +0000

sahara (1:8.0.0~rc1-2) unstable; urgency=medium

  * Fixed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 00:58:16 +0100

sahara (1:8.0.0~rc1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 23:47:08 +0100

sahara (1:7.0.0-4) unstable; urgency=medium

  [ David Rabel ]
  * Add initial ru.po (Closes: #883463)

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 08:58:14 +0100

sahara (1:7.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add e2fsprogs to Depends (Closes: #887246).

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jan 2018 15:18:12 +0100

sahara (1:7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated fr.po (Closes: #876312).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:44:42 +0200

sahara (1:7.0.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed oslo-config-generator namespace list for this release.
  * Drop the 2 requirements.txt patches.
  * Remove b-d on dh-systemd.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2017 00:41:40 +0200

=== debian/control ===
Source: sahara
Section: net
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 79~),
 po-debconf,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 git,
 openssh-client,
 python3-babel,
 python3-bashate,
 python3-botocore (>= 1.5.1),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage,
 python3-doc8,
 python3-eventlet,
 python3-fixtures (>= 3.0.0),
 python3-flask,
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking,
 python3-heatclient (>= 1.10.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-manilaclient (>= 1.16.0),
 python3-migrate (>= 0.9.6),
 python3-mock (>= 2.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko,
 python3-pep8,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-saharaclient (>= 1.4.0),
 python3-six,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara
Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara.git
Homepage: https://github.com/openstack/sahara

Package: python3-sahara
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-babel,
 python3-botocore (>= 1.5.1),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet,
 python3-flask,
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-manilaclient (>= 1.16.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:6.3.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 3.25.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paramiko,
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-six,
 python3-sqlalchemy,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1.7.1),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: OpenStack data processing cluster as a service - library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python libraries.

Package: sahara
Architecture: all
Section: python
Depends:
 sahara-api (= ${source:Version}),
 sahara-engine (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-api
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 sahara-common (= ${source:Version}),
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-sahara (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Breaks:
 sahara (<< 2015.1.0-3~),
Replaces:
 sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

Package: sahara-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

## sahara 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,15 +8,15 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 botocore>=1.5.1 # Apache-2.0
 castellan>=0.16.0 # Apache-2.0
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
-Flask!=0.11,<1.0,>=0.10 # BSD
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
+Flask>=1.0.2 # BSD
 iso8601>=0.1.11 # MIT
-Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
+Jinja2>=2.10 # BSD License (3 clause)
 jsonschema<3.0.0,>=2.6.0 # MIT
-keystoneauth1>=3.3.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
-oslo.concurrency>=3.25.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -35,7 +35,7 @@
 python-manilaclient>=1.16.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
-python-neutronclient>=6.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 six>=1.10.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
sahara (1:9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove /etc/sahara/policy.json on purge (Closes: #905506).
  * Uploading to unstable.
  * Blacklist 2 unit test due to SSL test failures:
    - test_crypto.CryptoTest.test_to_paramiko_private_key
    - test_crypto.CryptoTest.test_generate_key_pair

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 19:53:12 +0200

sahara (1:9.0.0~rc2-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Defines PYARGV in sahara-api.init.in to correctly load the config file.
  * Add fix-flask.request.content_length-is-none-in-sahara-api.patch.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-flask.request.content_length-is-none-in-sahara-api.patch
    applied upstream.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 May 2018 09:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sahara
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 79~),
+ openstack-pkg-tools (>= 81~),
  po-debconf,
  python3-all,
  python3-pbr (>= 2.0.0),
@@ -27,27 +27,26 @@
  python3-doc8,
  python3-eventlet,
  python3-fixtures (>= 3.0.0),
- python3-flask,
+ python3-flask (>= 1.0.2),
  python3-glanceclient (>= 1:2.8.0),
  python3-hacking,
  python3-heatclient (>= 1.10.0),
  python3-iso8601,
- python3-jinja2,
+ python3-jinja2 (>= 2.10),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-manilaclient (>= 1.16.0),
  python3-migrate (>= 0.9.6),
  python3-mock (>= 2.0),
  python3-mysqldb,
- python3-neutronclient (>= 1:6.3.0),
+ python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-api-ref (>= 1.4.0),
- python3-os-testr (>= 1.0.0),
- python3-oslo.concurrency (>= 3.25.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -77,7 +76,7 @@
  python3-tooz (>= 1.58.0),
  python3-webob (>= 1.7.1),
  subunit,
- testrepository,
+ python3-stestr,
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/services/sahara
 Vcs-Git: https://salsa.debian.org/openstack-team/services/sahara.git
@@ -94,21 +93,21 @@
  python3-castellan (>= 0.16.0),
  python3-cinderclient (>= 1:3.3.0),
  python3-eventlet,
- python3-flask,
+ python3-flask (>= 1.0.2),
  python3-glanceclient (>= 1:2.8.0),
  python3-heatclient (>= 1.10.0),
  python3-iso8601,
- python3-jinja2,
+ python3-jinja2 (>= 2.10),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-manilaclient (>= 1.16.0),
  python3-mysqldb,
- python3-neutronclient (>= 1:6.3.0),
+ python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
- python3-oslo.concurrency (>= 3.25.0),
- python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_clean:
	rm -rf build 	debian/sahara-common.postinst \
			debian/sahara-common.config \
			debian/sahara-api.postinst \
			debian/sahara-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean -O--buildsystem=python_distutils

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func sahara-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm sahara-common.postrm
	pkgos-merge-templates sahara-api sahara endpoint
	pkgos-merge-templates sahara-common sahara db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklisted. See https://storyboard.openstack.org/#!/story/2003674
	pkgos-dh_auto_test --no-py2 'sahara\.tests\.unit(?!(.*utils\.test_crypto\.CryptoTest\.test_to_paramiko_private_key.*|.*utils\.test_crypto.CryptoTest\.test_generate_key_pair.*))'
endif

	# Install the config files.
	mkdir -p $(CURDIR)/debian/sahara-common/usr/share/sahara-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--wrap-width 140 \
		--namespace sahara.config \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken sahara

	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf database connection sqlite:///var/lib/sahara/saharadb
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf oslo_concurrency lock_path /var/lock/sahara
	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken auth_protocol http

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/policy.json \
		--format json \
		--namespace sahara

	mkdir -p $(CURDIR)/debian/sahara-common/etc/sahara
	cp etc/sahara/compute.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/compute.topology
	cp etc/sahara/swift.topology.sample $(CURDIR)/debian/sahara-common/etc/sahara/swift.topology
	set -e ; for i in api-paste.ini rootwrap.conf rootwrap.d ; do \
		cp -rfv etc/sahara/$$i $(CURDIR)/debian/sahara-common/etc/sahara ; \
	done

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/sahara-doc/usr/share/doc/sahara-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## sahara 10.0.0~b2~git2019031321.cd68ad36

=== debian/changelog ===
sahara (1:10.0.0~b2~git2019031321.cd68ad36-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 21:33:47 -0400

sahara (1:10.0.0~b2~git2019013112.7f8c565d-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 12:46:51 -0500

sahara (1:10.0.0~b1~git2018111913.b7e3567c-0ubuntu2) disco; urgency=medium

  * d/tests/sahara-daemons: sqlalchemy now defaults to mysqldb so we must
    override the driver to use pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Jan 2019 20:19:46 -0500

sahara (1:10.0.0~b1~git2018111913.b7e3567c-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:49:15 -0500

sahara (1:9.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-sahara conflicts on each other.
    - d/python(3)-sahara.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:49:04 -0400

sahara (1:9.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:50:30 -0400

sahara (1:9.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/use-register_error_handler.patch: Droped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:19:51 -0400

sahara (1:9.0.0~b2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-sahara package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      sahara-common depends on python-sahara by default and python3-sahara
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-sahara packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/sahara-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-sahara.post*, d/python(3)-sahara.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-sahara.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for sahara daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/sahara-api.*, d/control: Drop uwsgi in favor of mod_wsgi.
    - d/p/extend-config-grabbing-magic-to-new-oslo.config.patch: Cherry-picked
      from upstream master. Enables sahara-engine daemon to start in dep8 test.
    - d/rules: Set keystone_authtoken password in sahara.conf.
  * d/watch: Scope to 9.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/extend-config-grabbing-magic-to-new-oslo.config.patch: Dropped. Fixed
    in new upstream milestone.
  * d/p/use-register_error_handler.patch: Cherry-pick from upstream gerrit
    to enable Sahara API to be run as a wsgi application.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jun 2018 10:47:23 -0400

=== debian/control ===
Source: sahara
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 git,
 openssh-client,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-botocore (>= 1.5.1),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.0.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 1.1.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-manilaclient (>= 1.16.0),
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.9.6),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.0.0),
 python3-pep8,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-saharaclient (>= 1.4.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/sahara
Homepage: https://github.com/openstack/sahara
Testsuite: autopkgtest-pkg-python

Package: python3-sahara
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-botocore (>= 1.5.1),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.18.2),
 python3-flask (>= 1.0.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-manilaclient (>= 1.16.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mysqldb,
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient (>= 3.3.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paramiko (>= 2.0.0),
 python3-pastescript,
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql,
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-ldap,
Description: OpenStack data processing cluster as a service - 3.x library
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the Python 3.x libraries.

Package: sahara
Architecture: all
Section: python
Depends:
 sahara-api (= ${source:Version}),
 sahara-engine (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack data processing cluster as a service - API & Engine
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This metapackage depends on the API server and the engine daemon.

Package: sahara-api
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 dbconfig-common,
 libapache2-mod-wsgi-py3,
 q-text-as-data,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack data processing cluster as a service - API server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the API server.

Package: sahara-common
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-sahara (= ${source:Version}),
 ${misc:Depends},
Breaks:
 sahara (<< 2015.1.0-3~),
Replaces:
 sahara (<< 2015.1.0-3~),
Description: OpenStack data processing cluster as a service - common files
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the common files.

Package: sahara-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack data processing cluster as a service - doc
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the documentation.

Package: sahara-engine
Architecture: all
Section: python
Depends:
 adduser,
 dbconfig-common,
 sahara-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack data processing cluster as a service - Engine server
 The Sahara project provides a simple means to provision a data-intensive
 application cluster (Hadoop or Spark) on top of OpenStack. It's the ex
 Savanna project, renamed due to potential trademark issues.
 .
 This package contains the engine daemon.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with apache2,python3,sphinxdoc,systemd
 
 override_dh_clean:
 	rm -rf build 	debian/sahara-common.postinst \
@@ -34,20 +34,17 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
+	pkgos-dh_auto_install --no-py2
 
-	rm -rf $(CURDIR)/debian/tmp/usr/etc
+	rm -rf $(CURDIR)/debian/python3-sahara/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# Blacklisted. See https://storyboard.openstack.org/#!/story/2003674
-	pkgos-dh_auto_test --no-py2 'sahara\.tests\.unit(?!(.*utils\.test_crypto\.CryptoTest\.test_to_paramiko_private_key.*|.*utils\.test_crypto.CryptoTest\.test_generate_key_pair.*))'
+	pkgos-dh_auto_test --no-py2
 endif
 
 	# Install the config files.
 	mkdir -p $(CURDIR)/debian/sahara-common/usr/share/sahara-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-sahara/usr/lib/python3/dist-packages python3-oslo-config-generator \
 		--wrap-width 140 \
 		--namespace sahara.config \
 		--namespace keystonemiddleware.auth_token \
@@ -67,8 +64,9 @@
 	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf database connection sqlite:///var/lib/sahara/saharadb
 	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf oslo_concurrency lock_path /var/lock/sahara
 	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken auth_protocol http
+	pkgos-fix-config-default $(CURDIR)/debian/sahara-common/usr/share/sahara-common/sahara.conf keystone_authtoken password password
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-sahara/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/sahara-common/usr/share/sahara-common/policy.json \
 		--format json \
 		--namespace sahara

=== debian/tests/control ===
Tests: sahara-daemons
Depends: sahara, sahara-api, sahara-common,
 sahara-engine, crudini, mysql-server
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/sahara sahara-(9\.\d.*)\.tar\.gz
